Package org.drinkless.tdlib

# Class TdApi.GetSupergroupFullInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.SupergroupFullInfo>
org.drinkless.tdlib.TdApi.GetSupergroupFullInfo

Enclosing class:
  `TdApi`

public static class TdApi.GetSupergroupFullInfo extends TdApi.Function<TdApi.SupergroupFullInfo>
Returns full information about a supergroup or a channel by its identifier, cached for up to 1 minute.

Returns `SupergroupFullInfo`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `supergroupId`
  Supergroup or channel identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetSupergroupFullInfo()`
  Default constructor for a function, which returns full information about a supergroup or a channel by its identifier, cached for up to 1 minute.
  `GetSupergroupFullInfo(long supergroupId)`
  Creates a function, which returns full information about a supergroup or a channel by its identifier, cached for up to 1 minute.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### supergroupId

    public long supergroupId
    Supergroup or channel identifier.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetSupergroupFullInfo

    public GetSupergroupFullInfo()
    Default constructor for a function, which returns full information about a supergroup or a channel by its identifier, cached for up to 1 minute.

    Returns `SupergroupFullInfo`

  - ### GetSupergroupFullInfo

    public GetSupergroupFullInfo(long supergroupId)
    Creates a function, which returns full information about a supergroup or a channel by its identifier, cached for up to 1 minute.

    Returns `SupergroupFullInfo`

    Parameters:
      `supergroupId` - Supergroup or channel identifier.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.SupergroupFullInfo>`
    Returns:
      this.CONSTRUCTOR